Skip to main content

Update Function

Updates the specified serverless function with new memory, timeout, environment variables, and code file.

PUT/faas/function/{function_id}/

Path parameters

  • function_idPathintegerrequired

    Function ID

Query parameters

Request body

multipart/form-data

object
memorystringrequired128 | 256 | 512

Memory allocated to the function (in MB)

example128
timeoutstringrequired

Timeout for the function (in seconds)

example15
environment_variablesstringrequired

JSON string of environment variables

example{"env_name":"env_value"}
code_filestring·binary

Zipped function source code (.zip file)

Responses

200Function update initiated successfully.
object
codeinteger
example200
datastring
exampleFunction sent to build
errorsobject
messagestring
exampleSuccess